<!DOCTYPE html>
<html>
  <head>
    <style>
      /* Set the size of the div element that contains the map */
      #map {
        height: 400px;  /* The height is 400 pixels */
        width: 100%;  /* The width is the width of the web page */
       }
    </style>
  </head>
  <body>

  
    <!--The div element for the map -->
    <div id="map"></div>
    <h2>Current location:</h2>
    <script>
// Initialize and add the map
function initMap() {
  // The location of Uluru

  var uluru = {lat: [[${latitude}]], lng: [[${longitude}]]};
  // The map, centered at Uluru
  var map = new google.maps.Map(
      document.getElementById('map'), {zoom: 16, center: uluru});
  // The marker, positioned at Uluru
  var marker = new google.maps.Marker({position: uluru, map: map});
}
    </script>
    <script async defer
    src="https://maps.googleapis.com/maps/api/js?key=AIzaSyD69RwiLgJZmI0VeyxK9Si4iOPwZusS5Ac&callback=initMap">
    </script>
  </body>
  <h2 th:text="${coordinates}"></h2>
</html>